
var accion = document.editarActuacionForm.accion.value;
//Formatear las fechas
$("#fecha").rup_date ();	
$("#feprevista").rup_date ();	

if ($("#fecha").val()!=""){
    var fecha = new Date($("#fecha").val().substring(0,10).replace("-","/").replace("-","/"));
    $("#fecha").rup_date("setDate", fecha);
}
if ($("#feprevista").val()!=""){
    var fechaPrevista = new Date($("#feprevista").val().substring(0,10).replace("-","/").replace("-","/"));
    $("#feprevista").rup_date("setDate", fechaPrevista);
}	
$("#feprevista").rup_date("disable");

	$( document ).ready(function() {
	var accion = document.editarActuacionForm.accion.value;		
		if (accion == "NUEVO") {
		    $("#botoneraModificar").hide();       
		    $("#checkboxBaja").hide();
		    $("#botoneraNuevo").show();    
		}  else {
			   $("#botoneraModificar").show();
	 	       $("#checkboxBaja").show();
		       $("#botoneraNuevo").hide();	   
		}
	}
	);

	
	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesActuacion.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){
				modificarActuacion ();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarActuacion () {		
		var properties={
				url:"../actuacion/modificaActuacion",
				feedback:$("#feedbackEditarActuacion"),
				useJsonIfPossible: true,
				 error: function(data) {					
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){					 					
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {}
				 }
				};
				$("#editarActuacionForm").rup_form(properties);				
				$("#editarActuacionForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoActuacionIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarActuacion").rup_feedback (properties);

   		$("#feedbackEditarActuacion").rup_feedback("set", texto);

   		$("#feedbackEditarActuacion").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarActuacion").rup_feedback (properties);

 		$("#feedbackEditarActuacion").rup_feedback("set", texto);

 		$("#feedbackEditarActuacion").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarActuacion").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




